package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum MachineTypeEnum {


    CUTTING(1, "开料设备"),

    DRILL(2, "钻孔机设备"),

    PANELSAW(3, "裁板锯"),

    LABELING(4, "贴标机"),

    BANDING(5, "封边机");

    private Integer type;
    private String machineName;


    public boolean equals(Integer status) {
        return this.type .equals(status) ;
    }

    public boolean equals(MachineTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.type .equals(this.getType()) ;
    }


}
